#include "tux_death.h"

using namespace std;

void tux_death(s_game &game, SDL_Event &event, const std::string& file_enemy, vector<string>& Vfiles_seq_ennemy, const std::string& file_boss, const std::string& file_boss_injured, const unsigned& level) {

   // jump velocity
   if(game.OTux->velocity_read().y >= .0)
      game.OTux->accel(TVector2d<float>(.0f, -20.0f));
   game.OCalculator_tux->check(0, 6.0, 0.0, 0.0);

   //animation death
   if(game.OTux->run_read() & (RUN_RIGHT_ON | RUN_RIGHT_OFF & MASK_LEFT)) {
      game.anim_tux_death_right->object_move(game.OTux->position_read().x, game.OTux->position_read().y);
      game.anim_tux_death_right->show(false, false, 1, 1.0);
   }

   if(game.OTux->run_read() & (RUN_LEFT_ON | RUN_LEFT_OFF & MASK_RIGHT)) {
         game.anim_tux_death_right->object_move(game.OTux->position_read().x, game.OTux->position_read().y);
         game.anim_tux_death_right->show(false, true, 1, 1.0);
   }

   // When is the end of animation
   if (game.OTux->position_read().y > game.screen->h / game.coef_resol) {

      // When is the end of the game
      if(!game.OTux->life_read()) {
         game.OTux->reset_nbr_coins();
         string img_game_over(IMG_PATH + "game_over/game_over_");
         screen_wait(game, event, true, img_game_over, .02, 0);
      }

      // init game objects again
      if(game.OTux->life_read())
         init_game_objects(game, game.OTux->life_read() - 1, game.OTux->nbr_coins_read(), file_enemy, Vfiles_seq_ennemy, file_boss, file_boss_injured, level);
      else
         init_game_objects(game, NBR_LIFES, 0, file_enemy, Vfiles_seq_ennemy, file_boss, file_boss_injured, level);

      game.clock = CLOCK_TIME;
      game.clock_ticks = CLOCK_TICKS;
   }

}
